<template>
  <div id="servicedetail">
    <personnelcmdetail-detail :info="info" :policyInfo="policyInfo"></personnelcmdetail-detail>
  </div>
</template>

<script>
import personnelcmdetailDetail from '@/components/personnel/personnelcmdetail.vue';
import { createNamespacedHelpers, mapGetters } from 'vuex';
const { mapActions: mapSite } = createNamespacedHelpers('site');

const { mapActions: mapNews } = createNamespacedHelpers('policiesjbxx');
export default {
  name: 'servicedetail',
  props: {},
  components: {
    personnelcmdetailDetail,
  },
  data: () => ({
    info: {},
    policyInfo: {},
  }),
  created() {
    this.searchSite();

    this.searchInfo();
  },
  computed: {},
  methods: {
    ...mapSite(['showInfo']),
    ...mapNews({ newsList: 'query', newsInfo: 'fetch' }),
    // 查询站点信息
    async searchSite() {
      let res = await this.showInfo();
      let object = JSON.parse(JSON.stringify(res.data));
      if (object) {
        this.$set(this, `info`, res.data);
      } else {
        this.$message.error(res.errmsg ? res.errmsg : 'error');
      }
    },
    // 查询科技政务栏目

    async searchInfo() {
      let detailId = this.$route.query.id;
      const res = await this.newsInfo(detailId);

      this.$set(this, `policyInfo`, res.data);
    },
  },
};
</script>

<style lang="less" scoped></style>
